import type { Props, Emits, menuListType } from '../type';
export declare const useTabs: (props: Props, emit: Emits) => {
    realWidth: import("vue").ComputedRef<any>;
    realMenuList: import("vue").ComputedRef<menuListType[]>;
    realTabWidth: import("vue").ComputedRef<string | undefined>;
    realTabMaxWidth: import("vue").ComputedRef<any>;
    tabsMenuPoppver: import("vue").Ref<any[] | undefined, any[] | undefined>;
    poppverVisible: import("vue").Ref<any, any>;
    menuClick: (menu: menuListType, item: any) => void;
    beforeEnter: (key: any) => void;
    onContextmenu: (event: any) => void;
};
